﻿using Hotline.Share.Enums.Exams;

namespace Hotline.Application.Exam.Core.Extensions
{
    public static class QuestionTypeExtensions
    {
        /// <summary>
        /// 是否选择类型
        /// </summary>
        /// <param name="questionType"></param>
        /// <returns></returns>
        public static bool CheckSelectType(this EQuestionType questionType)
        {
            return questionType == EQuestionType.Single || questionType == EQuestionType.Multi || questionType == EQuestionType.Judge;
        }
    }
}
