﻿using Hotline.Exams.ExamManages;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.ExamManages;
using Hotline.Share.Requests.Exam;
using Hotline.Share.ViewResponses.Exam;

namespace Hotline.Application.Exam.Interface.ExamManages
{
    public interface IExamTagService:IQueryService<ExamTagViewResponse,ExamTagDto,ExamTagRequest>,IApiService<AddExamTagDto,UpdateExamTagDto,ExamTag>
    {
        public Task<List<ExamTagViewResponse>> GetTreeAsync(ExamTagRequest examTagRequest);
    }
}
