using System.ComponentModel;
using Exam.Share;
using Hotline.Exams.Questions;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;

namespace Hotline.Application.Exam.Interface.Questions
{
    /// <summary>
    /// 试题参考答案服务接口
    /// </summary>
    [Description("试题参考答案服务接口")]
    public interface IQuestionAnswerService:IQueryService<QuestionAnswerViewResponse,QuestionAnswerDto,QuestionAnswerPagedRequest>,IApiService<AddQuestionAnswerDto,UpdateQuestionAnswerDto,ExamQuestionAnswer>
    {
    }
}


