using System.ComponentModel;
using Exam.Share;
using Hotline.Exams.TestPapers;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;

namespace Hotline.Application.Exam.Interface.Questions
{
    /// <summary>
    /// 关联知识服务接口
    /// </summary>
    [Description("关联知识服务接口")]
    public interface IQuestionKnowladgeService:IQueryService<QuestionKnowladgeViewResponse,PracticeQuestionKnowladgeDto,QuestionKnowladgePagedRequest>,IApiService<AddQuestionKnowladgeDto,UpdateQuestionKnowladgeDto,ExamTestPaperItemKnowladge>
    {
    }
}


