using System.ComponentModel;
using Exam.Share;
using Hotline.Exams.Questions;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;

namespace Hotline.Application.Exam.Interface.Questions
{
    /// <summary>
    /// 试题标签服务接口
    /// </summary>
    [Description("试题标签服务接口")]
    public interface IQuestionTagService:IQueryService<QuestionTagViewResponse,QuestionTagDto,QuestionTagPagedRequest>,IApiService<AddQuestionTagDto,UpdateQuestionTagDto,ExamQuestionTag>
    {
    }
}


