using System.ComponentModel;
using Exam.Share.ViewResponses.Sourceware;
using Hotline.Exams.Sourcewares;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.Sourcewares;
using Hotline.Share.Requests.Sourceware;

namespace Hotline.Application.Exam.Interface.Sourcewares
{
    /// <summary>
    /// 课件类型服务接口
    /// </summary>
    [Description("课件类型服务接口")]
    public interface ISourcewareCategoryService:IQueryService<SourcewareCategoryViewResponse,SourcewareCategoryDto,SourcewareCategoryRequest>,IApiService<AddSourcewareCategoryDto,UpdateSourcewareCategoryDto,ExamSourcewareCategory>
    {
        public Task<List<SourcewareCategoryViewResponse>> GetTreeAsync(SourcewareCategoryRequest sourcewareCategoryRequest);
    }
}


