﻿using Hotline.Settings;
using Hotline.Share.Dtos.Settings;
using SqlSugar;

namespace Hotline.Application.Systems
{
    public interface ISystemMobilAreaApplication
    {
        /// <summary>
        /// 查询列表
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        ISugarQueryable<SystemMobilArea> GetList(SystemMobilAreaRequestDto dto);

        /// <summary>
        /// 
        /// </summary>
        /// <param name="PhoneNum"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<SystemMobilAreaDto> GetPhoneCardArea(string PhoneNum, CancellationToken cancellationToken);

        /// <summary>
        /// 验证电话外呼是否需要加0
        /// </summary>
        /// <param name="Mobile"></param>
        /// <returns></returns>
        Task<string> VaildMobile(string Mobile);
    }
}
