
using SqlSugar;
using XF.Domain.Repository;
using System.ComponentModel;
using Hotline.Share.Requests.Sourceware;
using System.Linq.Expressions;
using Hotline.Exams.Sourcewares;
using Hotline.Repository.SqlSugar.Exam.Interface;

namespace Hotline.Repository.SqlSugar.Exam.Interfaces.Sourcewares
{
    /// <summary>
    /// 课件类型仓储接口
    /// </summary>
    [Description("课件类型仓储接口")]
    public interface ISourcewareCategoryRepository:IRepository<ExamSourcewareCategory>,IExamRepository<ExamSourcewareCategory,HotlineDbContext>
    {
        public Task<List<ExamSourcewareCategory>> GetTreeAsync(Expression<Func<ExamSourcewareCategory, bool>> expression);
    }
}


