﻿using Exam.Infrastructure.Data.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.TestPapers
{
    public class TestPaperItemAnswerDto: UpdateTestPaperItemAnswerDto
    {
        
    }

    public class AddTestPaperItemAnswerDto : IAddRequest
    {
        /// <summary>
        /// 试卷明细Id
        /// </summary>
        [Description("试卷明细Id")]
        public string TestPaperItemId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [Description("答案")]
        public string? Answer { get; set; }
    }

    public class UpdateTestPaperItemAnswerDto : IActionRequest
    {
        public string Id { get ; set ; }
    }
}
