﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Snapshot;

/// <summary>
/// 公告形式
/// 0: 消息
/// 1: 视频
/// </summary>
public enum EBulletinShape
{
    /// <summary>
    /// 消息
    /// </summary>
    [Description("消息")]
    Message = 0,

    /// <summary>
    /// 视频
    /// </summary>
    [Description("视频")]
    Video = 1
}
