﻿using Exam.Infrastructure.Data.Interface;

namespace Exam.Infrastructure.Data.Entity
{
    public class PageViewResponse<T>:IPagedViewResponse 
        where T: IViewResponse
    {
        public Pagination Pagination { get; set; }

        public IReadOnlyList<T> Items { get; set; }

    }
}
