﻿using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace Hotline.Share.Requests.Exam
{
    public class ExamQuestionRequest : IQueryRequest
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 考试Id
        /// </summary>
        [Description("考试Id")]
        public string ExamId { get; set; }
    }
}
