﻿using System.ComponentModel;

namespace Hotline.Share.Requests.Exam
{
    public class GenerateTestPaperRequest
    {
        /// <summary>
        /// 试卷Id
        /// </summary>
        [Description("试卷Id")]
        public string TestPaperId { get; set; }
    }

    public class GenerateExamTestPaperRequest : GenerateTestPaperRequest
    {
        /// <summary>
        /// 考试Id
        /// </summary>
        [Description("考试Id")]
        public string ExamManageId { get; set; }

        /// <summary>
        /// 抽题规则Id
        /// </summary>
        [Description("抽题规则Id")]
        public string ExtractRuleId { get; set; }
    }
}
