﻿using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.ViewResponses.Exam
{
    public class ExamQuestionViewResponse : IViewResponse
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题列表
        /// </summary>
        [Description("试题列表")]
        public List<SimpleViewResponse> Questions { get; set; }
    }

    public class GradingQuestionViewResponce: ExamQuestionViewResponse
    {
        /// <summary>
        /// 试题列表
        /// </summary>
        [Description("试题列表")]
        public new  List<GradingExamViewResponse> Questions { get; set; }
    }
}
