﻿using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.ViewResponses.Practices
{
    public class PracticeQuestionViewResponse : IViewResponse
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题列表
        /// </summary>
        [Description("试题列表")]
        public List<SimpleViewResponse> Questions { get; set; }
    }
}
