﻿using Hotline.Share.Enums.Order;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Orders
{
	/// <summary>
	/// 副本工单
	/// </summary>
	[Description("副本工单")]
    [SugarIndex("index_copy_orderId", nameof(OrderCopy.OrderId), OrderByType.Desc)]
    public partial class OrderCopy : Order
	{
		/// <summary>
		/// 工单ID
		/// </summary>
		public string OrderId { get; set; }

		/// <summary>
		/// 修改人	
		/// </summary>
		public string AuditUserName { get; set; }
		public string AuditUserId { get; set; }

		/// <summary>
		///  修改时间
		/// </summary>
		public DateTime AuditTime { get; set; }

		/// <summary>
		/// 工单修改来源
		/// </summary>
		public EOrderUpdateSource? AuditSource { get; set; }
	}
}
