﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Entities;

namespace Hotline.Snapshot;

/// <summary>
/// 市民关联随手拍安全角色分类
/// </summary>
[Description("市民关联随手拍安全角色分类")]
public class CitizenRelationSafetyType : ITable, IEntity
{
    /// <summary>
    /// 市民Id
    /// <inheritdoc cref="Hotline.Orders.Citizen"/>
    /// </summary>
    [SugarColumn(ColumnDescription = "市民Id")]
    public string CitizenId { get; set; }

    /// <summary>
    /// 安全员类型Id
    /// <inheritdoc cref="SafetyType"/>
    /// </summary>
    [SugarColumn(ColumnDescription = "安全员类型Id")]
    public string SafetyTypeId { get; set; }
}
