﻿using Hotline.Share.Enums.Snapshot;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

public class Notification : CreationSoftDeleteEntity
{
    /// <summary>
    /// 标题
    /// </summary>
    public string Title { get; set; }

    /// <summary>
    /// 内容
    /// </summary>
    public string Content { get; set; }

    /// <summary>
    /// 类型
    /// </summary>
    public ENotificationType NotifyType { get; set; }

    /// <summary>
    /// 外部业务唯一标识
    /// </summary>
    [SugarColumn(ColumnDescription = "外部业务唯一标识")]
    public string? ExternalId { get; set; }
}
