﻿using Hotline.Share.Enums.CallCenter;
using Hotline.Share.Enums.Snapshot;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 积分记录
/// </summary>
[Description("积分记录")]
public class SnapshotPointsRecord : CreationEntity
{
    /// <summary>
    /// 用户Id
    /// </summary>
    public string UserId { get; set; }

    /// <summary>
    /// 方向
    /// </summary>
    public EPointsDirection Direction { get; set; }

    /// <summary>
    /// 积分来源
    /// </summary>
    public EPointsSource Source { get; set; }

    /// <summary>
    /// 积分
    /// </summary>
    public int Points { get; set; }

    public string OrderId { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    public string? Remark { get; set; }
}
