﻿using Exam.Infrastructure.Extensions;
using FluentValidation;
using Hotline.Share.Dtos.ExamManages;
using Hotline.Validators.Exams.ExamManages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Exams.ExamManages;
using Hotline.Exams.Validate;

namespace Hotline.Validators.Exams
{
    public class UpdateExamTagDtoValidator : AbstractValidator<UpdateExamTagDto>
    {
        public UpdateExamTagDtoValidator()
        {
            //RuleFor(m => m.Id).NotEmpty().WithMessage(x => string.Format(ExamErrorMessage.IsRequired, x.GetType().GetDescription(nameof(ExamTag.Id))));
            RuleFor(m => m.Name).NotEmpty().WithMessage(x => string.Format(ExamErrorMessage.IsRequired, x.GetType().GetDescription(nameof(ExamTag.Name))));

        }
    }
}
