﻿using Exam.Infrastructure.Extensions;
using FluentValidation;
using Hotline.Exams.ExamManages;
using Hotline.Exams.Validate;
using Hotline.Share.Dtos.Questions;

namespace Hotline.Validators.Exams
{
    public class AddQuestionTagDtoValidator:AbstractValidator<AddQuestionTagDto>
    {
        public AddQuestionTagDtoValidator()
        {
            RuleFor(m => m.TagId).NotEmpty().WithMessage(x => string.Format(ExamErrorMessage.IsRequired, typeof(ExamTag).GetDescription())); 
            //RuleFor(m => m.QuestionId).NotEmpty().WithMessage(x => string.Format(ExamErrorMessage.IsRequired, typeof(ExamQuestionBak).GetDescription()));

        }
    }
}
