﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FluentValidation;
using Hotline.Share.Dtos.TrCallCenter;

namespace Hotline.Validators.Ippbx
{
    public class TrOnDutyDtoValidator : AbstractValidator<TrOnDutyDto>
    {
        public TrOnDutyDtoValidator()
        {
            RuleFor(d=>d.TelNo).NotEmpty().WithMessage("分机号不能为空");
        }
    }
}
