using System.ComponentModel;
using Exam.Share;
using Hotline.Exams.Questions;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;

namespace Hotline.Application.Exam.Interface.Questions
{
    /// <summary>
    /// 试题选项服务接口
    /// </summary>
    [Description("试题选项服务接口")]
    public interface IQuestionOptionsService:IQueryService<QuestionOptionsViewResponse,QuestionOptionsDto,QuestionOptionsPagedRequest>,IApiService<AddQuestionOptionsDto,UpdateQuestionOptionsDto,ExamQuestionOptions>
    {
    }
}


