﻿using Exam.Share.ViewResponses.Question;
using Hotline.Exams.Questions;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;
using Microsoft.AspNetCore.Http;

namespace Hotline.Application.Exam.Interface.Questions
{
    public interface IQuestionService:IQueryService<QuestionViewResponse,QuestionDto,QuestionPagedRequest>,IApiService<AddQuestionDto, UpdateQuestionDto, ExamQuestion>
    {

        /// <summary>
        /// 导入Excel
        /// </summary>
        /// <param name="files"></param>
        /// <returns></returns>
        public Task ImportExcel(IFormFile files, CancellationToken cancellationToken);
    }
}
