using System.ComponentModel;
using Exam.Share;
using Hotline.Exams.Practices;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Requests.Question;

namespace Hotline.Application.Exam.Interface.Questions
{
    /// <summary>
    /// 关联课件服务接口
    /// </summary>
    [Description("关联课件服务接口")]
    public interface IQuestionSourcewareService:IQueryService<QuestionSourcewareViewResponse,PracticeQuestionSourcewareDto,QuestionSourcewarePagedRequest>,IApiService<AddQuestionSourcewareDto,UpdateQuestionSourcewareDto,ExamPracticeQuestionSourceware>
    {
    }
}


