using System.ComponentModel;
using Hotline.Exams.Sourcewares;
using Hotline.Repository.SqlSugar.Exam.Interface;
using Hotline.Share.Dtos.Sourcewares;
using Hotline.Share.Requests.Sourceware;
using Hotline.Share.ViewResponses.Sourcewares;

namespace Hotline.Application.Exam.Interface.Sourcewares
{
    /// <summary>
    /// 课件服务接口
    /// </summary>
    [Description("课件服务接口")]
    public interface ISourcewareService:IQueryService<SourcewareViewResponse,SourcewareDto,SourcewarePagedRequest>,IApiService<AddSourcewareDto, UpdateSourcewareDto, ExamSourceware>
    {
    }
}


