﻿using Hotline.Share.Dtos.ObservationPiece;
using SqlSugar;

namespace Hotline.Application.ObservationPiece
{
    public interface IObservationPieceApplication
    {
        /// <summary>
        /// 观察件回复
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        ISugarQueryable<ObservationPieceListDto> GetObservationPieceReplyList(ObservationPieceRequestDto dto);

        /// <summary>
        /// 观察件列表
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        ISugarQueryable<ObservationPieceListDto> GetObservationPieceList(ObservationPieceRequestDto dto);
    }
}
