﻿using Hotline.Exams.Practices;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Practices;
using Hotline.Repository.SqlSugar.Exam.Validators.Practices;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Exam.Repositories.Practices
{
    public class PracticeQuestionOptionsRepository : ExamRepository<ExamPracticeQuestionOptions>, IPracticeQuestionOptionsRepository, IScopeDependency
    {
        public PracticeQuestionOptionsRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new PracticeQuestionOptionsValidator();
        }
    }
}
