﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.CallNative
{
    public record BlackPhoneListQuery : PagedKeywordRequest
    {
        /// <summary>
        /// 操作类型 1：黑名单 2：白名单
        /// </summary>
        public string LogType { get; set; }

        /// <summary>
        /// 操作动作
        /// </summary>
        public string LogAction { get; set; }

        /// <summary>
        /// 操作号码
        /// </summary>
        public string PhoneNum { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        public string? UserName { get; set; }
    }
}
