﻿using Hotline.Share.Enums.Order;

namespace Hotline.Share.Dtos.JudicialManagement
{
    /// <summary>
    ///  线索核实参数
    /// </summary>
    public class ClueVerificationDto
    {
        /// <summary>
        /// 工单id
        /// </summary>
        public List<string> OrderIds { get; set; }

        /// <summary>
        /// 线索是否属实
        /// </summary>
        public bool? IsTheClueTrue { get; set; }

        /// <summary>
        /// 诉事项类型ID
        /// </summary>
        public string? EventTypeId { get; set; }

        /// <summary>
        /// 诉事项类型名称
        /// </summary>
        public string? EventTypeName { get; set; }

        /// <summary>
        /// 诉事项类型名称
        /// </summary>
        public string? EventTypeSpliceName { get; set; }
        
        /// <summary>
        /// 个案类型
        /// </summary>
        public ECaseType? CaseType { get; set; }
    }
}
