﻿namespace Hotline.Share.Dtos.ObservationPiece
{
    public class ObservationPieceListDto
    {
        public string Id { get; set; }

        public string OrderId { get; set; }

        public string? No { get; set; }

        public string? Title { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public string? AcceptType { get; set; }

        /// <summary>
        /// 热点分类类目名称
        /// </summary>
        public string? HotspotName { get; set; }

        /// <summary>
        /// 热点分类类目名称
        /// </summary>
        public string? HotspotSpliceName { get; set; }

        /// <summary>
        /// 受理时间
        /// </summary>
        public DateTime? AcceptanceTime { get; set; }

        /// <summary>
        /// 超期时间（期满时间）
        /// </summary>
        public DateTime? ExpiredTime { get; set; }

        /// <summary>
        /// 接办部门
        /// </summary>
        public string? ActualHandleOrgName { get; set; }

        /// <summary>
        /// 接办时间
        /// </summary>
        public DateTime? CurrentStepAcceptTime { get; set; }

        /// <summary>
        /// 归档时间
        /// </summary>
        public DateTime? FiledTime { get; set; }

        /// <summary>
        /// 设置时间
        /// </summary>
        public DateTime? CreationTime { get; set; }

        /// <summary>
        /// 设置人
        /// </summary>
        public string? CreatorName { get; set; }

        /// <summary>
        /// 回复时间
        /// </summary>
        public DateTime? ReplyTime { get; set; }

        /// <summary>
        /// 回复人
        /// </summary>
        public string? ReplyUserId { get; set; }
        public string? ReplyUserName { get; set; }

        /// <summary>
        /// 回复部门
        /// </summary>
        public string? ReplyOrgId { get; set; }
        public string? ReplyOrgName { get; set; }

        /// <summary>
        /// 是否回复
        /// </summary>
        public bool IsReply { get; set; }
        public string? IsReplyText => IsReply ? "已回复" : "未回复";
    }
}
