﻿using Hotline.Share.Enums.Settings;
using Novacode;
using System.Data;

namespace Hotline.Share.Dtos.Settings
{
    public class SystemCommonOpinionDto
    {
        public string? Content { get; set; }
        public ECommonType? CommonType { get; set; }
        public string? CommonTypeText { get; set; }
        public bool? IsOpen { get; set; }
        public string? IsOpenText => IsOpen == true ? "公开常用意见" : "个人常用意见";
        public string? AreaId { get; set; }
        public ECommonAttributionType? AttributionType { get; set; }
        public string? AttributionTypeText { get; set; }
        public string? CreatorId { get; set; }
        public string? CreatorName { get; set; }
        public string? CreatorOrgId { get; set; }
        public int? CreatorOrgLevel { get; set; }
        public string? CreatorOrgName { get; set; }
        public string? Id { get; set; }
        public string? OldId { get; set; }
        public int OrderBy { get; set; }
        public DateTime? CreationTime { get; set; }
    }
}
