﻿using Exam.Infrastructure.Data.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.TestPapers
{
    public class TestPaperItemOptionsDto : UpdateTestPaperItemOptionsDto
    {

    }

    public class AddTestPaperItemOptionsDto : IAddRequest
    {
        /// <summary>
        /// 试卷明细Id
        /// </summary>
        [Description("试卷明细Id")]
        public string TestPaperItemId { get; set; }

        /// <summary>
        /// 题库选项Id
        /// </summary>
        [Description("题库选项Id")]
        public string QuestionOptionId { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [Description("选项")]
        public string Content { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [Description("是否答案")]
        public bool IsAnswer { get; set; }

        /// <summary>
        /// 选项题标
        /// </summary>
        [Description("选项题标")]
        public string Label { get; set; }
    }

    public class UpdateTestPaperItemOptionsDto : AddTestPaperItemOptionsDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
