﻿using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Trains
{
    /// <summary>
    /// 培训资料
    /// </summary>
    [Description("培训资料")]
    public class TrainKnowladgeDto:UpdateTrainKnowladgeDto
    {
        
    }

    public class AddTrainKnowladgeDto : IAddRequest, IOperationStatus
    {
        /// <summary>
        /// 培训模版Id
        /// </summary>
        [Description("培训模版Id")]
        public string TrainTemplateId { get; set; }

        /// <summary>
        /// 知识Id
        /// </summary>
        [Description("知识Id")]
        public string KnowladgeId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [Description("标题")]
        public string Title { get; set; }

        /// <summary>
        /// 操作状态
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    public class UpdateTrainKnowladgeDto : AddTrainKnowladgeDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get ; set ; }
    }
}
