﻿using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using System.ComponentModel;
using System.Text.Json.Serialization;

namespace Exam.Infrastructure.Data.Entity
{
    /// <summary>
    /// Dto基类
    /// </summary>
    public class ActionRequest:IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public int Status { get; set; }

        

        /// <summary>
        /// 操作状态
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }
}
