﻿using System.ComponentModel;
using System.Linq.Expressions;
using System.Text.Json.Serialization;

namespace Exam.Infrastructure.Data.Entity
{
    public class EntityQueryRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 主键集合
        /// </summary>
        [Description("主键集合")]
        public List<string> Ids { get; set; }

        /// <summary>
        /// 查询表达式
        /// </summary>
        [Description("查询表达式")]
        [JsonIgnore]
        public LambdaExpression Expression { get; set; }
    }
}
