﻿using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Hotline.Share.Requests.Sourceware
{
    public record SourcewarePagedRequest:PagedRequest, IQueryRequest
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        public string Name { get; set; }

        /// <summary>
        /// 课件格式
        /// </summary>
        [Description("课件格式")]
        public string SourcewareType { get; set; }

        /// <summary>
        /// 课件分类
        /// </summary>
        [Description("课件分类")]
        public string SourcewareCategoryId { get; set; }
    }
}
