﻿using Exam.Infrastructure.Data.Interface;
using Newtonsoft.Json;
using System.ComponentModel;

namespace Hotline.Share.Requests.Train
{
    public class TrainPracticeRequest:IQueryRequest
    {

        /// <summary>
        /// 培训记录Id
        /// </summary>
        [Description("培训记录Id")]
        public string Id { get; set; }


        /// <summary>
        /// 培训习题Id
        /// </summary>
        [Description("培训习题Id")]
        public string TrainPracticeId { get; set; }
    }
}
