﻿using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.ViewResponses.Exam
{
    public class TagQuestionViewResponse : TagQuestionCountViewResponse
    {
        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 标签Id
        /// </summary>
        [Description("标签Id")]
        public string TagId { get; set; }
    }

    public class TagQuestionCountViewResponse : IViewResponse
    {
        /// <summary>
        /// 总数
        /// </summary>
        [Description("总数")]
        public int TotalCount { get; set; }


        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
