﻿using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;
using System.Text.Json.Serialization;

namespace Hotline.Share.ViewResponses
{
    public class SimpleViewResponse:IViewResponse
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        

    }

    public class GradingExamViewResponse: SimpleViewResponse
    {
        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        [JsonIgnore]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 是否正确
        /// </summary>
        [Description("是否正确")]
        public bool IsCorrect { get; set; }
    }
}
