﻿using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Trains
{
    /// <summary>
    /// 关联知识
    /// </summary>
    [Description("关联知识")]
    public class ExamTrainPracticeKnowladge : ExamBusinessEntity
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 知识Id
        /// </summary>
        [SugarColumn(ColumnDescription ="知识Id")]
        [Description("知识Id")]
        public string KnowladgeId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(ColumnDescription = "标题")]
        [Description("标题")]
        public string Title { get; set; }

        /// <summary>
        /// 培训习题Id
        /// </summary>
        [SugarColumn(ColumnDescription = "培训习题Id")]
        [Description("培训习题Id")]

        public string TrainPracticeId { get; set; }
    }
}
