﻿using Hotline.Share.Enums.Snapshot;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Snapshot.Contracts;

/// <summary>
/// 随手拍积分领域服务
/// </summary>
public interface ISnapshotPointsDomainService
{
    /// <summary>
    /// 新增积分
    /// </summary>
    /// <param name="orderId"></param>
    /// <param name="source"></param>
    /// <param name="status"></param>
    /// <param name="extraDeductedPoints"></param>
    /// <param name="extraDeductionPointsTypeName">额外扣除原因</param>
    /// <returns></returns>
    Task AddPointsAsync(string orderId, EPointsSource source, ESnapshotSMSStatus? status, int? extraDeductedPoints, string? extraDeductionPointsTypeName = "");
}
