﻿using Hotline.Identity.Accounts;
using Hotline.Orders;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 安全卫士类型 
/// </summary>
[Description("安全卫士类型")]
public class SafetyType : CreationSoftDeleteEntity
{
    /// <summary>
    /// 名字
    /// </summary>
    [SugarColumn(ColumnDescription = "安全卫士类型名称")]
    public string Name { get; set; }

    [Navigate(typeof(CitizenRelationSafetyType), nameof(CitizenRelationSafetyType.SafetyTypeId), nameof(CitizenRelationSafetyType.CitizenId))]
    public List<Citizen> Citizens { get; set; }
}
