﻿using Exam.Infrastructure.Extensions;
using FluentValidation;
using FluentValidation.Validators;
using Hotline.Exams.ExamManages;
using Hotline.Exams.Validate;
using Hotline.Share.Dtos.TestPapers;

namespace Hotline.Validators.Exams.ExamManages
{
    public class UpdateRuleTagDtoValidator : AbstractValidator<UpdateRuleTagDto>
    {
        public UpdateRuleTagDtoValidator()
        {
            RuleFor(m => m.TagId).NotEmpty().WithMessage(x => string.Format(ExamErrorMessage.IsRequired, typeof(ExamTag).GetDescription()));
        }
    }
}