﻿using Microsoft.EntityFrameworkCore.ValueGeneration.Internal;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TianQue.Sdk.Models;
public class ApiReponse<T>
{
    // {"code":400,"success":false,"data":{},"msg":"detailContent:不能为空"}

    /// <summary>
    /// Code
    /// </summary>
    public int Code { get; set; }

    /// <summary>
    /// 是否成功
    /// </summary>
    public bool Success { get; set; }

    /// <summary>
    /// 数据
    /// </summary>
    public T Data { get; set; }

    /// <summary>
    /// 信息
    /// </summary>
    public string Msg { get; set; }
}

public class AcceptInfoSuccessDto
{
    // {"appealNumber":"1867128700022034506","orgId":137872}

    /// <summary>
    /// 编号
    /// </summary>
    public string AppealNumber { get; set; }

    /// <summary>
    /// OrgId
    /// </summary>
    public string OrgId { get; set; }
}
