﻿using SqlSugar;

namespace XingTang.Sdk
{
    /// <summary>
    /// 兴唐白名单
    /// </summary>
    [SugarTable("sys_whitephone")]
    public class XingtangWhitePhone
    {
        [SugarColumn(IsPrimaryKey = true)]
        /// <summary>
        /// 号码ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 号码
        /// </summary>
        public string? Phone { get; set; }

        /// <summary>
        /// 有效期
        /// </summary>
        public DateTime? ValidDateTime { get; set; }

        /// <summary>
        /// 是否生效(0:不生效，1：生效)
        /// </summary>
        public int? Enabled { get; set; }

    }
}
